Subject: Re: bug#48324: 27.2; hexl-mode duplicates the UTF-8 BOM

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Jul 2022 18:14:39 +0200

Eli Zaretskii <[email-masked]> writes:

> This actually reveals a design flaw in string-limit: we cannot simply
> use encode-coding-char to encode the characters one by one.  I added a
> FIXME comment to explain why, as I don't currently have any clever
> ideas for how to implement it more correctly, except by iterations,
> which is inelegant.  Ideas welcome.

Hm...  do we have some way of knowing that the coding system we're using
is one that should have a BOM?  And a function to remove the BOM?

If we had both, then we could strip the BOM from the individual chars,
and add one to the front.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no